// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2017 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using System.Globalization;
using System.Collections.Generic;
using System.IO;

using Hiperscan.PdfLib;
using Hiperscan.I18n;
using Hiperscan.Spectroscopy;


namespace Hiperscan.Extensions.ApoIdent.Report
{

    public class Switzerland : GermanTemplate
	{
        public Switzerland(ReportInfo report_info) : base(report_info)
		{
		}

		protected override void CreateHeader()
		{
			this.Layout.SetFont(PdfFontTypes.HELVETICA, 14, PdfColors.Black);


            if (this.ReportInfo.ProtocolType != ProtocolType.ApoIdent && Locale.Language == "de")
			{
				this.Layout.Feed(11);
				this.Layout.AddParagraph("NIR Messprotokoll", PdfTextAlignments.Center);
				this.Layout.Feed(13);
			}
			else
			{
				this.Layout.SetFont(PdfFontTypes.HELVETICA, 14, PdfColors.Black);
				this.Layout.Feed(10);
				this.Layout.AddParagraph("Prüfprotokoll zur Feststellung der Identität\nvon Ausgangsstoffen",
				                         PdfTextAlignments.Center);	
				this.Layout.Feed(22);					
			}
		}
	}
}

